#
# Conditional build:
%bcond_with	tests	# do perform "make test" (requires mounted /proc)

%define		pdir	Proc
%define		pnam	ProcessTable
%include	/usr/lib/rpm/macros.perl
Summary:	Proc::ProcessTable - Perl interface to the UNIX process table
Summary(pl.UTF-8):	Proc::ProcessTable - interfejs perlowy do uniksowej tabeli procesów
Name:		perl-Proc-ProcessTable
Version:	0.53
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Proc/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8cb894f18ba49558683860ae9082ca4a
URL:		http://search.cpan.org/dist/Proc-ProcessTable/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a first crack at providing a consistent interface to
Unix (and maybe other multitasking OS's) process table information.
The impetus for this came about with my frustration at having to parse
the output of various systems' ps commands to check whether specific
processes were running on different boxes at a larged mixed UNIX site.
The output format of ps was different on each OS, and sometimes
changed with each new release of an OS. Also, running a ps subprocess
from within a perl or shell script and parsing the output was not a
very efficient or aesthetic way to do things.

%description -l pl.UTF-8
Ten moduł to pierwsza próba udostępnienia spójnego interfejsu do
informacji dotyczących uniksowej (i może z innych wielozadaniowych
systemów operacyjnych) tabeli procesów. Impuls do stworzenia tego
pojawił się wraz z frustracją autora przy analizie wyjścia poleceń ps
z różnych systemów w celu sprawdzenia, czy określone procesy działają
na różnych maszynach w dużym zestawie różnych Uniksów. Format wyjścia
ps był różny na każdym systemie, a czasem zmieniał się wraz z nową
wersją systemu. Poza tym uruchamianie procesu ps z Perla lub skryptu
powłoki i analiza jego wyjścia nie były zbyt wydajnym ani estetycznym
sposobem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT{%{perl_vendorarch}/Proc/example.pl,%{_examplesdir}/%{name}-%{version}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.linux PORTING Changes TODO
%dir %{perl_vendorarch}/Proc
%{perl_vendorarch}/Proc/*.pm
%{perl_vendorarch}/Proc/ProcessTable
%dir %{perl_vendorarch}/auto/Proc
%dir %{perl_vendorarch}/auto/Proc/ProcessTable
%attr(755,root,root) %{perl_vendorarch}/auto/Proc/ProcessTable/*.so
%{perl_vendorarch}/auto/Proc/ProcessTable/Process
%{_mandir}/man3/Proc::Killall.3pm*
%{_mandir}/man3/Proc::Killfam.3pm*
%{_mandir}/man3/Proc::ProcessTable*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Proc-ProcessTable.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 95712e5
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c026a81
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 798be8b
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> c60dfa9
- updated to 0.53

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9169645
- release 2 (by relup.sh)

* Wed Apr 15 2015 Elan Ruusamäe <glen@delfi.ee> b788cb6
- up to 0.51

* Wed Apr 15 2015 Elan Ruusamäe <glen@delfi.ee> 9c39af6
- up to 0.49, verbose man files

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4c97237
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 24e3eaf
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2f9a32a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 40292dd
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Artur Frysiak <artur@frysiak.net> 38cbd83
- One more fix

* Mon Jun 10 2013 Artur Frysiak <artur@frysiak.net> 1c75d2d
- Compilation fix

* Mon Jun 10 2013 Artur Frysiak <artur@frysiak.net> 04e3879
- Up to 0.48

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7cef52f
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 1ca9690
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> eeea478
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d8aba8
- release 2

* Sun Mar 01 2009 radek <radek@pld-linux.org> 83eaaaf
- version 0.45

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 915bf1e
- generic URL

